Open Banking
Create re-authentication exchange session
Creates a re-authentication exchange session to refresh a user’s bank account connection when their existing authorization is no longer valid. Required when receiving an UpdateCredentials error during bank balance checks or when user re-authentication is needed.
POST
/
exchanges
/
{id}
/
exchange-sessions
cURL
POST https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980/exchange-sessions
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"_links": {
"redirect-url": {
"href": "https://www.yourdomain.com/iav-callback"
}
}
}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangeUrl =
"https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980";
var requestBody = {
_links: {
"redirect-url": {
href: "https://www.yourdomain.com/iav-callback",
},
},
};
dwolla
.post(`${exchangeUrl}/exchange-sessions`, requestBody)
.then((res) => res.headers.get("location")); // => 'https://api.dwolla.com/exchange-sessions/fcd15e5f-8d13-4570-a9b7-7fb49e55941d'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_url = 'https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980'
request_body = {
'_links': {
'redirect-url': {
'href': 'https://www.yourdomain.com/iav-callback'
}
}
}
reauthExchange = app_token.post('%s/exchange-sessions' % exchange_url, request_body)
reauthExchange.headers['location'] # => 'https://api.dwolla.com/exchange-sessions/fcd15e5f-8d13-4570-a9b7-7fb49e55941d'
/**
* No example for this language yet.
**/
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_url = 'https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980'
request_body = {
_links: {
'redirect-url': {
href: "https://www.yourdomain.com/iav-callback"
}
}
}
reauthExchange = app_token.post "#{exchange_url}/exchange-sessions", request_body
reauthExchange.response_headers[:location] # => "https://api.dwolla.com/exchange-sessions/fcd15e5f-8d13-4570-a9b7-7fb49e55941d"
{
"code": "ValidationError",
"message": "Invalid request parameters"
}{
"code": "forbidden",
"message": "Not authorized to create re-authentication exchange session."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
Exchange's unique identifier
Body
application/vnd.dwolla.v1.hal+json
Request body containing the redirect URL. Required for:
- Plaid mobile sessions Not required for:
- Plaid web sessions
- CreateReAuthExchangeSessionForWeb
- CreateReAuthExchangeSessionWithRedirect
Create re-auth exchange session for web (Plaid web sessions where request body is optional)
Response
created
Was this page helpful?
⌘I
cURL
POST https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980/exchange-sessions
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"_links": {
"redirect-url": {
"href": "https://www.yourdomain.com/iav-callback"
}
}
}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangeUrl =
"https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980";
var requestBody = {
_links: {
"redirect-url": {
href: "https://www.yourdomain.com/iav-callback",
},
},
};
dwolla
.post(`${exchangeUrl}/exchange-sessions`, requestBody)
.then((res) => res.headers.get("location")); // => 'https://api.dwolla.com/exchange-sessions/fcd15e5f-8d13-4570-a9b7-7fb49e55941d'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_url = 'https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980'
request_body = {
'_links': {
'redirect-url': {
'href': 'https://www.yourdomain.com/iav-callback'
}
}
}
reauthExchange = app_token.post('%s/exchange-sessions' % exchange_url, request_body)
reauthExchange.headers['location'] # => 'https://api.dwolla.com/exchange-sessions/fcd15e5f-8d13-4570-a9b7-7fb49e55941d'
/**
* No example for this language yet.
**/
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_url = 'https://api.dwolla.com/exchanges/74a207b2-b7b7-4efa-8bf8-582148e7b980'
request_body = {
_links: {
'redirect-url': {
href: "https://www.yourdomain.com/iav-callback"
}
}
}
reauthExchange = app_token.post "#{exchange_url}/exchange-sessions", request_body
reauthExchange.response_headers[:location] # => "https://api.dwolla.com/exchange-sessions/fcd15e5f-8d13-4570-a9b7-7fb49e55941d"
{
"code": "ValidationError",
"message": "Invalid request parameters"
}{
"code": "forbidden",
"message": "Not authorized to create re-authentication exchange session."
}